{ pkgs, ... }:

let
  ucm = pkgs.fetchzip {
    url = "https://github.com/plbossart/UCM/archive/2050ca78a4d1a853d1ba050b591f42e6f97adfc0.tar.gz";
    sha256 = "1rs4mpz3b965nmz0yhy6j4ga3fdz320qnpkd7d61nvpv9c3i6zwj";
  };
in

{
  imports = [
    ../../common/cpu/intel
    ../../common/pc/laptop
  ];

  # Required for screen brightness control:
  boot.kernelParams = [ "acpi_backlight=vendor" ];

  # Sound requires a custom UCM config:
  system.replaceRuntimeDependencies = [{
    original = pkgs.alsa-lib;

    replacement = pkgs.alsa-lib.overrideAttrs (_super: {
      postFixup = "cp -r ${ucm}/chtmax98090 $out/share/alsa/ucm";
    });
  }];
}
